> ## Documentation Index
> Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read contract

> Get information about a specific contract.

### Body parameters

<ParamField body="data" type="object" required>
  <Expandable title="child attribute">
    <ParamField body="action" type="string" required>
      Action type.
    </ParamField>

    <ParamField body="clientKey" type="string" required>
      Key of the client.
    </ParamField>

    <ParamField body="contract" type="object" required>
      Structure, at least one of the fields must be filled.

      <Expandable title="child attribute">
        <ParamField body="contractKey" type="string" required>
          Key of the contract.
        </ParamField>

        <ParamField body="name" type="string">
          Name of the contract.
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

### Response

<ResponseField name="contract" type="string">
  Contract structure.

  <Expandable title="child attribute">
    <ResponseField name="createTime" type="string">
      Create time.
    </ResponseField>

    <ResponseField name="changeTime" type="string">
      Change time.
    </ResponseField>

    <ResponseField name="contractKey" type="string">
      ID of the contract.
    </ResponseField>

    <ResponseField name="name" type="string">
      Name of the contract.
    </ResponseField>

    <ResponseField name="value" type="string">
      Content of the contract, HTML.
    </ResponseField>

    <ResponseField name="status" type="string">
      Status of the contract.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="code" type="string">
  The code of the answer.
</ResponseField>

<ResponseField name="message" type="string">
  The message of the answer.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST 'https://api.sendforsign.com/api/contract' \
       -H 'X-Sendforsign-Key: YOUR_API_KEY' \
       -H 'Content-Type: application/json' \
       -d '{ 
  		  "data": {
  				   "action": "read",
  				   "clientKey": "YOUR_CLIENT_KEY",
  				   "contract": {
  							  "contractKey": "CONTRACT_KEY", 
  							  "name": "New contract"
  						     }
  				  }
         }'

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  	{
         "contract": {
                  "createTime": "2023-12-01 12:18:55",
  				"changeTime": "2023-12-01 12:18:55",
                  "contractKey": "CONTRACT_KEY", 
  				"name": "New contract",
                  "status": "Created",
  				"value": "<p>Contract text</p>"
  		},
         "code": "200",
         "message": "Contract found"
      } 
  ```
</ResponseExample>
